## mutter 43.0

=== debian/changelog ===
mutter (43.0-1ubuntu4) kinetic; urgency=medium

  * debian/rules: Ignore test failures on armhf.
    Temporary, to unblock the mutter update while we investigate the regression

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 17 Oct 2022 19:58:15 -0400

mutter (43.0-1ubuntu3) kinetic; urgency=medium

  * Cherry-pick patches to avoid crash when ICC color profile is invalid
    (Closes: #1021680) (LP: #1993114)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 17 Oct 2022 06:55:32 -0400

mutter (43.0-1ubuntu2) kinetic; urgency=medium

  * Cherry-pick patch to fix Night Light availability in GNOME Settings
    (Closes: #1020941) (LP: #1990207)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 14 Oct 2022 16:25:40 -0400

mutter (43.0-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian. Remaining change:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2022 13:10:57 -0400

mutter (43.0-1) experimental; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * Team upload
  * New upstream release
  * d/copyright: Update
  * Standards-Version: 4.6.1 (no changes required)
  * d/libmutter-11-0.symbols: Add new symbols

  [ Jeremy Bicha ]
  * Mark as Linux-any
    - Build tests indicate mutter doesn't work on Hurd or kFreeBSD
    - Mutter is only used by GNOME Shell and Budgie, neither of which
      are currently available on those architectures for other reasons

 -- Simon McVittie <smcv@debian.org>  Sun, 18 Sep 2022 20:18:26 +0100

mutter (43~rc-2ubuntu2) kinetic; urgency=medium

  * Ignore build test failures on s390x

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 13 Sep 2022 11:43:54 -0400

mutter (43~rc-2ubuntu1) kinetic; urgency=medium

  * Merge with debian, containing new upstream version.
  * Refresh xrandr scaling patch to latest upstream code
  * Remaining changes with debian:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 08 Sep 2022 18:15:23 +0200

mutter (43~rc-2) experimental; urgency=medium

  [ Simon McVittie ]
  * d/control: Drop compatibility with old libgdk-pixbuf2.0-dev package

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Update triple-buffering patch against newest version
    (LP: #1969422, #1988625)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 08 Sep 2022 17:35:16 +0200

mutter (43~rc-1) experimental; urgency=medium

  * New upstream release
  * Build-Depend on libcolord-dev & liblcms2-dev
  * debian/*.symbols: Update
  * Drop Consistently-pass-timestamp….patch: Applied in new release
  * Refresh 2 patches

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Sep 2022 14:07:28 -0400

mutter (43~beta-4) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/control: Remove <!nocheck> from xvfb-run

  [ Jeremy Bicha ]
  * debian/tests/libmutter-11-dev: fix a reference to mutter-10

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 25 Aug 2022 05:28:09 -0400

mutter (43~beta-3ubuntu2) kinetic; urgency=medium

  * debian/tests/libmutter-11-dev: fix a reference to mutter-10

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 25 Aug 2022 05:25:39 -0400

mutter (43~beta-3ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining change:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 24 Aug 2022 17:23:26 -0400

mutter (43~beta-3) experimental; urgency=medium

  * Add patches from Ubuntu:
    - Support-Dynamic-triple-double-buffering.patch
    - backends-native-kms-crtc-Don-t-compare-gamma-values-on-un.patch
      + Avoid memory errors when comparing gamma values
    - wayland-data-device-Allow-any-drag-timestamp....patch
      + Allow any drag timestamp as drag start serial
  * debian/libmutter-11-0.symbols: Add new symbols from triple buffering patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 21 Aug 2022 12:27:28 -0400

mutter (43~beta-2) experimental; urgency=medium

  * Update mutter-10 to mutter-11 in more places

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 21 Aug 2022 10:35:35 -0400

mutter (43~beta-1) experimental; urgency=medium

  * New upstream release
  * Rename packages for API bump (mutter-10 -> mutter-11)
  * debian/libmutter-11-0.symbols: Update
  * debian/control.in: Bump minimum libwayland and wayland-protocols
  * Refresh patches
  * Add temporary patch to skip broken build test

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 16 Aug 2022 12:07:41 -0400

mutter (42.4-2ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable (LP: #1985856). Remaining changes:
    - Add triple-buffering patch
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr
    - Add ubuntu/wayland-data-device-Allow-any-drag-timestamp....patch
      + Allow any drag timestamp as drag start serial
    - Add backends-native-kms-crtc-Don-t-compare-gamma-values-on-un.patch
      + Avoid memory errors when comparing gamma values
    - Add monitor-manager-Ensure-monitors-settings-after-backend-ha.patch
      + Ensure privacy screen settings are applied on startup
    - Add patches from GNOME !2364
      + Fix X11 selection related crash when Xwayland died
    - debian/libmutter-10-0.symbols: Add symbols for triple buffering patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 17 Aug 2022 14:39:04 -0400

mutter (42.4-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable (LP: #1985856). Remaining changes:
    - Add triple-buffering patch
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr
    - Add ubuntu/wayland-data-device-Allow-any-drag-timestamp....patch
      + Allow any drag timestamp as drag start serial
    - Add backends-native-kms-crtc-Don-t-compare-gamma-values-on-un.patch
      + Avoid memory errors when comparing gamma values
    - Add monitor-manager-Ensure-monitors-settings-after-backend-ha.patch

