=== debian/tests/control ===
Tests: libmutter-11-dev
Depends: build-essential,
         dbus,
         libmutter-11-dev,
         xauth,
         xvfb
Restrictions: allow-stderr superficial

Test-Command: gnome-desktop-testing-runner mutter-11
Features: test-name=installed-tests
Classes: desktop
Depends: gnome-desktop-testing,
         mutter-11-tests
Restrictions: allow-stderr
