=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: mutter
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
@@ -14,7 +13,7 @@
                dh-sequence-gnome,
                at-spi2-core <!nocheck>,
                adwaita-icon-theme <!nocheck>,
-               dbus <!nocheck>,
+               dbus-daemon <!nocheck>,
                dmz-cursor-theme <!nocheck>,
                gnome-control-center-data,
                gnome-pkg-tools (>= 0.10),
@@ -86,11 +85,9 @@
                xwayland [linux-any],
                zenity
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b debian/unstable
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter
-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b ubuntu/kinetic
-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter/tree/ubuntu/kinetic
+Standards-Version: 4.6.2
+Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b debian/bookworm
+Vcs-Browser: https://salsa.debian.org/gnome-team/mutter
 
 Package: mutter
 Architecture: linux-any
@@ -120,7 +117,7 @@
 Package: mutter-11-tests
 Architecture: linux-any
 Depends: at-spi2-core,
-         dbus,
+         dbus-daemon,
          dmz-cursor-theme,
          libmutter-11-0 (= ${binary:Version}),
          libmutter-test-11 (= ${binary:Version}),
@@ -240,7 +237,6 @@
 Package: libmutter-test-11
 Section: libs
 Architecture: linux-any
-Multi-Arch: same
 Depends: libmutter-11-0 (= ${binary:Version}),
          mutter (= ${binary:Version}),
          ${misc:Depends},
