=== debian/rules ===
--- 
+++ 
@@ -64,11 +64,7 @@
 override_dh_auto_test:
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
 	glib-compile-schemas $(BUILDDIR)/data
-# Temporarily ignore failures on armhf while we investigate the regression
-ifneq (,$(filter armel armhf,$(DEB_HOST_ARCH)))
-	-$(TEST_COMMAND)
-	-$(TEST_COMMAND_FLAKY) --logbase flaky-tests
-else ifeq (,$(filter mips mips64el mipsel riscv64 alpha hppa powerpc sparc64 x32,$(DEB_HOST_ARCH)))
+ifeq (,$(filter mips mips64el mipsel riscv64 alpha hppa powerpc sparc64 x32,$(DEB_HOST_ARCH)))
 	$(TEST_COMMAND)
 	-$(TEST_COMMAND_FLAKY) --logbase flaky-tests
 endif
