## mutter 44.0

=== debian/changelog ===
mutter (44.0-2ubuntu4) lunar; urgency=medium

  [ Daniel van Vugt ]
  * Add proposed patch to treat XIChangeProperty errors as warnings,
    fixes crash on login or resume from suspend with Nvidia graphics drivers
    (LP: #2014986)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 14 Apr 2023 14:32:30 -0400

mutter (44.0-2ubuntu3) lunar; urgency=medium

  * debian/patches: Listen to XSettings changes to update decorations
    (LP: #2012733)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 04 Apr 2023 22:26:20 +0200

mutter (44.0-2ubuntu2) lunar; urgency=medium

  * debian/libmutter-12-0.symbols: Restore symbols for triple buffering patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 09:46:13 -0400

mutter (44.0-2ubuntu1) lunar; urgency=medium

  * Merge with Debian. Remaining change:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
  * Re-enable the triple buffering patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 09:35:04 -0400

mutter (44.0-2) experimental; urgency=medium

  * Update debian/patches/debian/Support-Dynamic-triple-double-buffering.patch:
    Compared to the last update, a crash on resuming from sleep has been
    fixed. And some minor code tidying.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Mon, 27 Mar 2023 09:27:35 -0400

mutter (44.0-1ubuntu1) lunar; urgency=medium

  * Merge with Debian. Remaining change:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Disable triple buffering patch
  * debian/patches: Refresh indexes

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 20 Mar 2023 21:12:31 +0100

mutter (44.0-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release:
    - Fixes feedback loops with old statically compiled SDL applications
      (LP: #2011803)
  * debian/patches: refresh indexes
  * debian/patches/debian/Support-Dynamic-triple-double-buffering.patch: Update
    We still keep it enabled, given that we're in experimental anyways

  [ Simon McVittie ]
  * Remove #1032388 from previous changelog entry.
    I hoped !2878 would fix both #1032388 and #1031945, but in fact it
    only solves #1031945.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 20 Mar 2023 20:35:02 +0100

mutter (44~rc-1ubuntu3) lunar; urgency=medium

  * debian/control.in: Have libmutter-12-dev depend on libegl1-mesa-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Mar 2023 19:19:46 -0400

mutter (44~rc-1ubuntu2) lunar; urgency=medium

  [ Jeremy Bicha ]
  * debian/libmutter-12-0.symbols: Drop symbols from triple buffering patch

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Do not use fatal warnings on fractional scaling issues
  * debian/patches: Add ability to override window edge constraints.
    Make possible for extensions (such as Tiling Assistant) to override windows
    constraints. (LP: #2007710, #2011611)
  * debian/libmutter-12-0.symbols: Add new override constraint symbol
  * debian/libmutter-12-0.lintian-overrides: Allow using debian version in
    symbols: it's a private API exposed only by ubuntu

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 14 Mar 2023 19:17:11 +0100

mutter (44~rc-1ubuntu1) lunar; urgency=medium

  [ Jeremy Bicha
  * Merge with Debian. Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - debian/control: Do not depend on legacy EGL package name
  * Temporarily disable triple buffering patch to ensure quality
    after major changes to mutter since 44~beta

  [ Marco Trevisan (Treviño) ]
  * Update the fractional scaling patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 10 Mar 2023 08:20:44 -0500

mutter (44~rc-1) experimental; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * d/p/wayland-Don-t-overwrite-surface-offsets.patch,
    d/p/x11-Avoid-updating-focus-on-wayland-compositor.patch:
    Drop, applied in new release
  * debian/control.in: Build-Depend on libgnome-desktop-4-dev instead of -3
  * debian/control.in: Mark libgtk-3-dev as only needed for build tests
  * debian/control.in: Bump minimum wayland-protocols to 1.31
  * debian/*.symbols: Update; some "private" meta_* symbols were dropped

  [ Simon McVittie ]
  * Merge packaging from unstable (Closes: #1031945, #1031847)
    - Drop patches that were backported from upstream 44.rc into unstable
    - d/p/tests-Use-a-more-interoperable-path-to-bash.patch:
      Fix path to interpreter in x11-test.sh instead of disabling it
    - d/p/tests-Disable-broken-test.patch: Drop patch, no longer needed
  * d/p/debian/backends-native-kms-crtc-Don-t-compare-gamma-values-on-un.patch:
    Drop patch from upstream !2371, which no longer applies cleanly.
    As far as I can see, this is unnecessary since commit 9001fa97
    "kms/crtc: Always read the gamma state" from !2435.

  [ Marco Trevisan (Treviño) ]
  * d/p/debian/Support-Dynamic-triple-double-buffering.patch:
    Refreshed with the 44-WIP version from Daniel, it's working properly in
    main tested scenarios.
  * debian/patches: Drop patch removing dependency on glib 2.75
  * debian/control: Bump build-dependency on glib-2.75
  * debian/control: Add breaks on gnome-shell << 44~rc.
    It's not possible to compile older gnome-shell versions with mutter
    44~rc due to the gtk dependency removal

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 08 Mar 2023 02:29:22 +0100

mutter (44~beta-3ubuntu2) lunar; urgency=medium

  * debian/patches: Update code to get backend on X11-fractional scaling
  * debian/control: Do not depend on legacy EGL package name

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 23 Feb 2023 20:03:24 +0100

mutter (44~beta-3ubuntu1) lunar; urgency=medium

  [ Jeremy Bicha
  * Merge with Debian. Remaining change:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch

  * Merge packaging from unstable (Closes: #1031945, #1031847)
  [ Marco Trevisan (Treviño) ]
  * Update the fractional scaling patch


