=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Source: mutter
 Section: x11
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
@@ -34,10 +35,10 @@
                libgirepository1.0-dev (>= 0.9.12),
                libgl-dev,
                libgles-dev,
-               libglib2.0-dev (>= 2.69.0),
-               libgnome-desktop-3-dev (>= 3.36.0),
+               libglib2.0-dev (>= 2.75.0),
+               libgnome-desktop-4-dev,
                libgraphene-1.0-dev (>= 1.10.2),
-               libgtk-3-dev (>= 3.19.8),
+               libgtk-3-dev (>= 3.19.8) <!nocheck>,
                libgudev-1.0-dev (>= 232) [linux-any],
                libice-dev,
                libinput-dev (>= 1.19.0) [linux-any],
@@ -77,7 +78,7 @@
                python3-dbusmock <!nocheck>,
                sysprof (>= 3.40.1) [linux-any],
                udev [linux-any],
-               wayland-protocols (>= 1.26) [linux-any],
+               wayland-protocols (>= 1.31) [linux-any],
                xauth <!nocheck>,
                xcvt [linux-any],
                xkb-data,
@@ -86,8 +87,10 @@
                zenity
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b debian/bookworm
-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b debian/unstable
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter
+Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/mutter/tree/ubuntu/master
 
 Package: mutter
 Architecture: linux-any
@@ -114,13 +117,13 @@
  This package contains the mutter executable. It can be used as a
  standalone window manager, but is primarily intended for debugging.
 
-Package: mutter-11-tests
+Package: mutter-12-tests
 Architecture: linux-any
 Depends: at-spi2-core,
          dbus-daemon,
          dmz-cursor-theme,
-         libmutter-11-0 (= ${binary:Version}),
-         libmutter-test-11 (= ${binary:Version}),
+         libmutter-12-0 (= ${binary:Version}),
+         libmutter-test-12 (= ${binary:Version}),
          mutter (= ${binary:Version}),
          python3,
          python3-dbus,
@@ -143,11 +146,11 @@
  This package contains test programs, designed to be run as part of a
  regression testsuite.
 
-Package: gir1.2-mutter-11
+Package: gir1.2-mutter-12
 Section: introspection
 Architecture: linux-any
 Multi-Arch: same
-Depends: libmutter-11-0 (= ${binary:Version}),
+Depends: libmutter-12-0 (= ${binary:Version}),
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
@@ -164,7 +167,7 @@
  This package contains the GObject introspection data which may be
  used to generate dynamic bindings.
 
-Package: libmutter-11-0
+Package: libmutter-12-0
 Section: libs
 Architecture: linux-any
 Multi-Arch: same
@@ -172,12 +175,13 @@
 Depends: adwaita-icon-theme,
          gsettings-desktop-schemas (>= 40~alpha),
          mutter-common (>= ${source:Version}),
+         mutter-common-bin (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: apparmor (<< 2.13.3-5~),
         gnome-control-center (<< 1:3.25.2),
         gnome-settings-daemon (<< 3.31.101),
-        gnome-shell (<< 42~rc),
+        gnome-shell (<< 44~rc),
         libgtk-3-0 (<< 3.24.33-2~),
         libgtk-4-1 (<< 4.6.3+ds1-2~)
 Description: window manager library from the Mutter window manager
@@ -193,25 +197,25 @@
  This package contains the window manager shared library, used by mutter
  itself, and gnome-shell.
 
-Package: libmutter-11-dev
+Package: libmutter-12-dev
 Section: libdevel
 Architecture: linux-any
 Multi-Arch: same
-Depends: gir1.2-mutter-11 (= ${binary:Version}),
+Depends: gir1.2-mutter-12 (= ${binary:Version}),
          gsettings-desktop-schemas-dev (>= 40~alpha),
          libatk1.0-dev,
          libcairo2-dev,
          libdrm-dev,
+         libegl-dev,
          libegl1-mesa-dev,
          libgbm-dev,
          libgdk-pixbuf-2.0-dev,
          libgles-dev,
-         libglib2.0-dev (>= 2.69.0),
+         libglib2.0-dev (>= 2.75.0),
          libgraphene-1.0-dev (>= 1.9.3),
-         libgtk-3-dev,
          libinput-dev (>= 1.19),
          libjson-glib-dev,
-         libmutter-11-0 (= ${binary:Version}),
+         libmutter-12-0 (= ${binary:Version}),
          libpango1.0-dev,
          libwayland-dev [linux-any],
          libx11-dev,
@@ -234,13 +238,14 @@
  .
  This package contains the development files.
 
-Package: libmutter-test-11
+Package: libmutter-test-12
 Section: libs
 Architecture: linux-any
-Depends: libmutter-11-0 (= ${binary:Version}),
+Depends: libmutter-12-0 (= ${binary:Version}),
          mutter (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
+Provides: gir1.2-metatest-12
 Description: Test helper library for GNOME's window manager library
  Mutter is a Wayland display server and X11 window manager and
  compositor library. It contains functionality related to, among other
@@ -266,3 +271,23 @@
  of Clutter, a scene graph and user interface toolkit.
  .
  This package contains the shared files.
+
+Package: mutter-common-bin
+Section: misc
+Architecture: linux-any
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Breaks: mutter (<< 44~)
+Replaces: mutter (<< 44~)
+Description: shared programs for the Mutter window manager
+ Mutter is a Wayland display server and X11 window manager and
+ compositor library. It contains functionality related to, among other
+ things, window management, window compositing, focus tracking, workspace
+ management, keybindings and monitor configuration.
+ .
+ Internally it uses a fork of Cogl, a hardware acceleration abstraction
+ library used to simplify usage of OpenGL pipelines, as well as a fork
+ of Clutter, a scene graph and user interface toolkit.
+ .
+ This package contains the program files which are used for the libraries
+ and others.
